<?php

/**
 * @table download_log
 */
class DownloadLog {

    /**
     * @id
     */
    private $id;

    /**
     * @column download_date
     */
    private $downloadDate;

    /**
     * @column download_file
     */
    private $downloadFile;

    /**
     * @column ip_address
     */
    private $ipAddress;

    /**
     * @column user_agent
     */
    private $userAgenet;

    /**
     * @column mail_address
     */
    private $mailAddress;

	/**
	 * 0: 未解析
	 * 1: 解析済み（download_countにつっこんだ）
	 * 2: 除外IPからのダウンロード
	 * 3: 想定外のファイル名
	 */
    private $analyzed;

    function getId() {
    	return $this->id;
    }
    function setId($id) {
    	$this->id = $id;
    }
    function getDownloadDate() {
    	return $this->downloadDate;
    }
    function setDownloadDate($downloadDate) {
    	$this->downloadDate = $downloadDate;
    }
    function getDownloadFile() {
    	return $this->downloadFile;
    }
    function setDownloadFile($downloadFile) {
    	$this->downloadFile = $downloadFile;
    }
    function getIpAddress() {
    	return $this->ipAddress;
    }
    function setIpAddress($ipAddress) {
    	$this->ipAddress = $ipAddress;
    }
    function getUserAgenet() {
    	return $this->userAgenet;
    }
    function setUserAgenet($userAgenet) {
    	$this->userAgenet = $userAgenet;
    }
    function getMailAddress() {
    	return $this->mailAddress;
    }
    function setMailAddress($mailAddress) {
    	$this->mailAddress = $mailAddress;
    }

    function setAnalyzed($analyzed){
    	$this->analyzed = $analyzed;
    }
    function getAnalyzed(){
    	return $this->analyzed;
    }
}
?>